Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentPosition

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.common.bean.DocumentPosition

All Implemented Interfaces:
  `ContractIdable`

public class DocumentPosition extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentPosition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `BigDecimal`
  `getAmountScaled()`
  `BigDecimal`
  `getAmountUnscaled()`
  `BigDecimal`
  `getCount()`
  `int`
  `getCountNumsAfterComma()`
  `int`
  `getCountNumsRoundingMode()`
  `List<DocumentPosition>`
  `getExtractPositions()`
  `String`
  `getName()`
  `Map<String,String>`
  `getParams()`
  `int`
  `getPositionId()`
  `DocumentPositionSpec`
  `getPositionSpec()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAwlz()`
  `boolean`
  `isInTotal()`
  `DocumentPosition`
  `setAmount(BigDecimal amount)`
  `DocumentPosition`
  `setAmountScaled(BigDecimal amountScaled)`
  `DocumentPosition`
  `setAmountUnscaled(BigDecimal amountUnscaled)`
  `DocumentPosition`
  `setAwlz(boolean awlz)`
  `DocumentPosition`
  `setContractId(int contractId)`
  `DocumentPosition`
  `setCount(BigDecimal count)`
  `DocumentPosition`
  `setCountNumsAfterComma(int countNumsAfterComma)`
  `DocumentPosition`
  `setCountNumsRoundingMode(int countNumsRoundingMode)`
  `DocumentPosition`
  `setExtractPositions(List<DocumentPosition> extractPositions)`
  `DocumentPosition`
  `setInTotal(boolean inSumm)`
  `DocumentPosition`
  `setName(String name)`
  `DocumentPosition`
  `setParams(Map<String,String> params)`
  `DocumentPosition`
  `setPositionId(int positionId)`
  `DocumentPosition`
  `setPositionSpec(DocumentPositionSpec positionSpec)`
  `DocumentPosition`
  `setUnit(String unit)`
  `DocumentPosition`
  `setUnitCode(String unitCode)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentPosition

    public DocumentPosition()

- ## Method Details

  - ### getAmount

    public BigDecimal getAmount()

  - ### getAmountScaled

    public BigDecimal getAmountScaled()

  - ### getAmountUnscaled

    public BigDecimal getAmountUnscaled()

  - ### getCount

    public BigDecimal getCount()

  - ### getCountNumsAfterComma

    public int getCountNumsAfterComma()

  - ### getCountNumsRoundingMode

    public int getCountNumsRoundingMode()

  - ### getExtractPositions

    public List<DocumentPosition> getExtractPositions()

  - ### getName

    public String getName()

  - ### getParams

    public Map<String,String> getParams()

  - ### getPositionId

    public int getPositionId()

  - ### getPositionSpec

    public DocumentPositionSpec getPositionSpec()

  - ### getUnit

    public String getUnit()

  - ### getUnitCode

    public String getUnitCode()

  - ### isAwlz

    public boolean isAwlz()

  - ### isInTotal

    public boolean isInTotal()

  - ### setAmount

    public DocumentPosition setAmount(BigDecimal amount)

  - ### setAmountScaled

    public DocumentPosition setAmountScaled(BigDecimal amountScaled)

  - ### setAmountUnscaled

    public DocumentPosition setAmountUnscaled(BigDecimal amountUnscaled)

  - ### setAwlz

    public DocumentPosition setAwlz(boolean awlz)

  - ### setContractId

    public DocumentPosition setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### setCount

    public DocumentPosition setCount(BigDecimal count)

  - ### setCountNumsAfterComma

    public DocumentPosition setCountNumsAfterComma(int countNumsAfterComma)

  - ### setCountNumsRoundingMode

    public DocumentPosition setCountNumsRoundingMode(int countNumsRoundingMode)

  - ### setExtractPositions

    public DocumentPosition setExtractPositions(List<DocumentPosition> extractPositions)

  - ### setInTotal

    public DocumentPosition setInTotal(boolean inSumm)

  - ### setName

    public DocumentPosition setName(String name)

  - ### setParams

    public DocumentPosition setParams(Map<String,String> params)

  - ### setPositionId

    public DocumentPosition setPositionId(int positionId)

  - ### setPositionSpec

    public DocumentPosition setPositionSpec(DocumentPositionSpec positionSpec)

  - ### setUnit

    public DocumentPosition setUnit(String unit)

  - ### setUnitCode

    public DocumentPosition setUnitCode(String unitCode)